Subject: Re: bug#12055: 24.1.50; Characters "á" and "é"are not correctly displayed on a Windows terminal

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Jul 2012 19:13:06 +0300

> Date: Thu, 26 Jul 2012 14:13:23 +0200
> From: Dani Moncayo <[email-masked]>
> 
> On my Windows 7, 64-bit system, if I start Emacs from a cmd.exe
> console (emacs -nw -Q) and type the text "áéíóú", the first two
> characters are not displayed correctly (see attached screenshot).
> 
> If I exit Emacs, and type those characters again in the console
> prompt, the are all displayed correctly.

Do these two characters _always_ display incorrectly inside Emacs, or
only when they are the first you type after starting the -nw session?

Also, how did you type these characters, and what does Emacs say if
you go to each one of them and type "C-u C-x ="?

> I've been able to reproduce this problem both in Emacs 24.1 and 23.4.

Thanks for the report.

First, please always make a point of reporting bugs via 
"M-x report-emacs-bug RET", as that command collects and sends
lots of useful information about your system and Emacs setup.
This is especially important when non-ASCII characters are involved,
as report-emacs-bug provides important information related to that.

Please send that info, as collected in the same version of Emacs and
in the same console session as the one where you see the problem.

In addition, please tell what these expressions produce in the console
session of the current trunk Emacs version:

  (terminal-coding-system)

  (keyboard-coding-system)

  w32-ansi-codepage

  (w32-get-console-codepage)

  (w32-get-console-output-codepage)

Finally, in the console outside Emacs type "chcp" at the Windows
cmd.exe shell prompt, and tell what it says.